炸开属性块并且属性值不改变,如何合并这两个命令?

;在本论坛里东拼西凑,找来了lsp代码。
;想将它们合并在同一个lisp里,不知道如何写,请教大家。

;设置动态块的状态为“允许分解”状态,才可以被炸开
(defun C:TT (/ X)
   (if (and (setq X (entsel “\n选择图块: “))
            (setq X (vlax-ename->vla-object (car X)))
       )
     (vl-catch-all-apply
      ‘(lambda ()
         (setq X (vla-item
                   (vla-get-blocks
                     (vla-get-ActiveDocument (vlax-get-acad-object))
                   )
                   (vla-get-name X)
                 )              
         )
         (vla-put-Explodable X :VLAX-TRUE)
       )
     )
   )
   (princ)


;;用 Burst 命令炸开动态块,并且属性值不发生改变。

(command “burst”)  ;此处出错,请教该如何写?

)

阅读全文

为您推荐

1 评论

联系我们

联系我们

在线咨询: QQ交谈

邮箱: yuetaocn@163.com

工作时间:周一至周五,9:00-17:30,节假日休息http://www.cadhome.com.cn
返回顶部

关于本站 || 下载帮助 ||版权声明 || 免责条款 || 隐私条款 || 站点地图 || ||

Copyright©️2018 CAD之家 All Rights Reserved·黔ICP备15000265号-2 贵公网安备 52019002006994号 关键词首页优化 网站SEO 优化